<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8"/>
    <link rel="stylesheet" href="sandstone.css">
    <script type="text/javascript" src="user.js"></script>
    <script type="text/javascript" src="group.js"> </script>
    <script type="text/javascript" src="category.js"> </script>
    <script type="text/javascript" src="location.js"> </script>
    <script type="text/javascript" src="entry.js"> </script>
    <script type="text/javascript" src="total.js"> </script>
    <script type="text/javascript" src="handlers.js"> </script>
    <script type="text/javascript" src="auth.generated.js"></script>
    <script type="text/javascript" src="protected.js"></script>
</head>

<body>
<title>HPTTS</title>
    <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
        <a class="navbar-brand" href="index.html">HPTTS</a>
        <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarColor01" aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="navbar-collapse collapse" id="navbarColor01">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item">
                <a class="nav-link" href="log_entry_input.html">New log entry</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="other_entities_input.html">New other entity</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="overview.html">Overview</a>
            </li>
        </ul>
        <a class="nav-link" href="login.html">Login</a>
        </div>
    </nav>

<div id="main_container" style="padding:50px; padding-top:30px">
    <h1>Login</h1>
    <br>
    <fieldset>
            <legend>Login</legend>

            <div class="form-group">
                    <label for="inputUserName">Your username</label>
                    <input type="text" class="form-control" id="inputUserName" placeholder="Jane Doe">
            </div>

            <div class="form-group">
                <label for="inputPassword">Your password</label>
                <input type="password" class="form-control" id="inputPassword" aria-describedby="passwordHelp">
            </div>

            <button onclick="postLogin(createLoginJSBody(inputUserName.value, inputPassword.value), setLoginCookie , alert)" class="btn btn-primary">Login</button>
    </fieldset>
    <br>
    <br>
</div>

</body>
</html>
